% angular wave number

% equation: g'(x,rho) = J'v(x)*Y'v(rho*x) - J'v(rho*x)*Y'v(x) = 0
% test 1: real roots of g' for real arguments
k = 25;
Ri = 0.5;
Ro = 1.5;

vmax = 50;

x = k*Ri;
rho = Ro/Ri;

v = linspace(0,vmax,300);
lims = [-1 1];

s = 1:vmax;
asrt = s*pi/log(k);
asrtv = 0*asrt;

y = disprelation(v,x,rho);%dbesselj(v,x).*dbessely(v,rho*x) - dbesselj(v,rho*x).*dbessely(v,x);
y=RealCrossproduct(v,k*Ri,k*Ro);%
figure(1);
plot(v,real(y));%,v,yy3);%, v, real(yy),asrt,asrtv, 'o' );%,v,ya);%.\ imag(y));%, v, imag(y));
title(sprintf('Dispersion relation, k=%.2f, Ri=%.2f, Ro=%.2f',k,Ri,Ro));
ylim(lims);
xlim([min(v),max(v)]);
grid;
xlabel('\nu');
ylabel('g''(x,\rho)');
roots = BesselCrossproductRoots(k,Ri,Ro)

%%
%test 2: imaginary roots of g' for real arguments, 
% comparison with Cochran's approximation
k = 25;
Ri = 0.5;
Ro = 1.5;

vmax = 5;
% x = 8; 
% rho = 0.2;

x = k*Ri;
rho = Ro/Ri;

v = 10; 
v = linspace(0,vmax,500);
lims = [-1 1];

s = 1:vmax;
asrt = s*pi/log(k);
asrtv = 0*asrt;

y = disprelation(v*1i,x,rho);%dbesselj(v,x).*dbessely(v,rho*x) - dbesselj(v,rho*x).*dbessely(v,x);
yd = dbesselj(v,x)./dbessely(v,x);
yy = -(1i*v/(rho*pi*x^2)).*exp(v*pi).*sin(v*log(rho));
%ya = -(v./(rho*pi*x^2)).*exp(v*log(rho));
r = real(y);
yi = y;
y = imag(y);

s = sign(y);
y2 = s.*log10(abs(y));
yy = imag(yy);
s = sign(yy);
yy3 = s.*log10(abs(yy));

%%
figure(2);
plot(v,y2,v,yy3);%,v,yy3);%, v, real(yy),asrt,asrtv, 'o' );%,v,ya);%.\ imag(y));%, v, imag(y));
title(sprintf('Dispersion relation, k=%.2f, Ri=%.2f, Ro=%.2f',k,Ri,Ro));
% ylim(lims);
xlim([min(v),max(v)]);
xlabel('\nu');
ylabel('g''(x,\rho)');
legend('Actual','Approximation');
%%
figure(3);
plot(v,real(yi));

    