classdef MPM_AShorn
    %UNTITLED2 Summary of this class goes here
    %   Detailed explanation goes here
    
    properties
        % horn parameters
        sth1 = 10e-4; % throat area segment 1
        smh1 = 500e-4; % mouth area segment 1
        Lh1 = 30e-2; % horn length segment 1
        Tn1 = 0.5; % horn parameter (hypex/bessel);
        HornType1 = 1; 
        smh2 = 6000e-4; % mouth area segment 2
        Lh2 = 20e-2; % horn length segment 2
        Tn2 = 0;% horn parameter (hypex/bessel);
        HornType2 = 1; 
        usehornpart2 = false;
        AddRadius = false; % set to true to gat a radiused flaring of the mouth
        RadR = 0.05; % radius of mouth radius
        RFta = 90; % end tangent angle of radius (degrees)
        dz = 0.0003; % segment length
        % throat chamber
        Rvtc = 0.06; %throat chamber radius
        Lvtc = 0.02; % throat chamber length
        AddVtc = false; % set to true to use throat chamber
        horncoords;
        Nh;
    end
    
    methods
        function [coords, Nh] = generatehorn(obj)
            % Create horn contour
            horncoords1 = MPM_AShorncoord(obj.HornType1, obj.sth1, obj.smh1, obj.Lh1, obj.Tn1, obj.dz, (obj.AddRadius & ~obj.usehornpart2), 0, obj.RadR, obj.RFta);
            horncoords2 = MPM_AShorncoord(obj.HornType2, obj.smh1, obj.smh2, obj.Lh2, obj.Tn2, obj.dz, obj.AddRadius, 0, obj.RadR, obj.RFta);
            horncoords2(:,1) = horncoords2(:,1) + obj.Lh1;
            if obj.usehornpart2
                coords = [horncoords1; horncoords2];
            else
                coords = horncoords1;
            end;
            if obj.AddVtc
                coords(:,1) = coords(:,1)+obj.Lvtc+3*obj.dz;
                coords = [0 obj.Rvtc;
                    obj.Lvtc obj.Rvtc;
                    obj.Lvtc+3*dz coords(1,2);
                    coords];
                coords = MPM_refinecoords(coords, obj.dz);
            end;
            coords = MPM_makesteps(coords);
            obj.horncoords = coords;
            Nh = length(coords);
            obj.Nh = Nh;
        end;
        
        function plotprofile(obj, figno);
            if length(obj.horncoords) > 0
                figure(figno);
                plot(obj.horncoords(:,1),obj.horncoords(:,2))
                ylim([0,max(obj.horncoords(:,2)*1.1)])
                xlabel('z axis [m]');
                ylabel('Radius [m]');
                title('Horn profile');
            else
                warning('No data! Please assign data to hoorncoords!');
            end;
        end;
    end
    
end

