function dJ = dbesselj(v,x)
%dJ = 0.5*(besselj(v-1,x) - besselj(v+1,x));

if (abs(imag(v)) < abs(1e-8*real(v))) | (imag(v) == 0)
    v = real(v);
    dJ = -besselj(v+1,x)+v./x.*besselj(v,x);
else
    dJ = 0*v;
    for iv = 1:length(v)
        vv = v(iv);
        dJ(iv) = -gbesselj(vv+1,x)+vv./x.*gbesselj(vv,x);
    end;
end;