%Hints for using the MPM Toolbox
%
% *) The number of modes used have a large bearing on the results. To
%   determine how many modes are needed, start with a few frequencies (20 or
%   so), and add more modes until the results don't change appreachably.
%   Changes are greatest at large off-axis angles, and high frequencies.
%   Sharp dips in the off-axis response is often a sign of too few modes.
%
% *) At least 10 elements are needed per wavelength at the highest
%   frequency. More elements may be needed for long horns.
%   If the throat impedance shows large jumps at the high end of the 
%   frequency range, try increasing the number of elements (reduce z).
%   If the elements are too long, adding too many modes may also create 
%   problems.
%
% *) If the same mouth area, frequencies, and number of modes is used for
%   several succeeding calculations, it is worthwhile to calculate the
%   radiation impedance matrix only once.
%
% *) With a large step in the contour (for instance when using a throat
%   chamber), the resulting V matrix may be close to singular, and may
%   produce very strange results. Try taking the step over a few segments as
%   a workaround. Using a small step size here, the results will differ
%   little, but the calculations will be more numerically stable.
%
%  --------------------------------------------------- -------------------------------------------
%    This file is part of the Modal Propagation Method (MPM) Toolbox by Bjrn Kolbrek.                       
%                                                                                               
%    The MPM Toolbox is free software: you can redistribute it and/or modify       
%    it under the terms of the GNU General Public License as published by the Free Software     
%    Foundation, either version 3 of the License, or (at your option) any later version.        
%                                                                                                
%    The MPM Toolbox is distributed in the hope that it will be useful,       
%    but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS  
%    FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.             
%                                                                                                
%    You should have received a copy of the GNU General Public License along with the           
%    MPM Toolbox. If not, see <http://www.gnu.org/licenses/>.                 
%  --------------------------------------------------- -------------------------------------------
%