function fieldpointdata = readFPdata(fname);

fid=fopen(fname, 'rt');   %open the file
title = fgetl(fid);  %read in the header
ngroups=fscanf(fid, '%d');   %read in the number of groups
fieldpointdata = [];
for ii = 1:ngroups
    grouptitle = fgetl(fid);
    s = fscanf(fid, '%d', [2]); 
    np=s(1);
    nc=s(2);
    data = fscanf(fid, '%e',[nc,np]);
    groupcoords = transpose(data);
    nf = fscanf(fid, '%d', [1]); 
    data = fscanf(fid, '%e',[1,nf]);
    fvec = transpose(data);
    R = fscanf(fid, '%e',[np,nf]);
    I = fscanf(fid, '%e',[np,nf]);
    data = R'+sqrt(-1)*I';
    %frequency data in rows
    %fieldpoints in collumns
    dat = struct('title', grouptitle, 'ncoord', np, 'coords', groupcoords, 'nfreq', nf, 'fvec', fvec, 'data', data);
    fieldpointdata = [fieldpointdata dat];
    nf = fscanf(fid, '%d', [1]); %dummy to make it work with more than one group
end;
fclose(fid);   %close the file