% test plotting field

R1 = 0.2;
R2 = 0.5;
x0 = [0 0];
k = 15;
% k = 1600*2*pi/344;
m = 10;

Rmr = @(k_phi, k_r, r, R1) besselj(k_phi,k_r*r) - (dbesselj(k_phi,k_r*R1)./dbessely(k_phi,k_r*R1)).*bessely(k_phi,k_r*r); 

r = linspace(R1,R2, 100)';
ang = linspace(0,pi, 200);

broots = BesselCrossproductRoots(k, R1, R2);
% length(broots)
mmax = min(length(broots), m);
% kphi = broots(m);
% mode function in r direction
M = zeros(length(r),length(ang));
for m=1:min(length(broots), mmax);
    kphi = broots(m);
    Rdir = Rmr(kphi, k, r, R1);
    Angdir = exp(1i*kphi*ang);
    Mm = Rdir*Angdir;
%     Rmat = Rdir(:,ones(1,length(ang)));
%     Angmat = Angdir(ones(length(r),1),:);
%     Rmat .* Angmat - Mm
    M = M + Mm;
end;


% plotting
x = r*cos(ang);
y = r*sin(ang);
z = 20*log10(abs(M));%real(M); %sin(x.^2+log(y+1))+sin(x.^2+x);


figure(1);
contourf(x,y,z,25);
view(2);
axis equal
shading flat
colorbar;
title(sprintf('sound field at k = %.2f, %d propagating modes', k, mmax));
xlabel('x [m]');
ylabel('y [m]');

%%
fpdata = readFPdata('horns\ArcField_FPData.txt');
x2=fpdata.coords(:,1);
y2=fpdata.coords(:,2);
[x3,y3] = meshgrid(x2,y2);
z2=x3;%real(fpdata.data(1,:));
figure(2);
contourf(x3,y3,z2,25);
view(2);
axis equal
% shading flat
colorbar;

